--- test/unit/tests/xdelta.cc.orig	2011-10-18 18:01:46.000000000 +0200
+++ test/unit/tests/xdelta.cc	2011-10-18 19:00:18.000000000 +0200
@@ -7,12 +7,15 @@
 // implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 // PURPOSE.
 
+// <boost/math/special_functions/detail/lgamma_small.hpp> uses L().
+// This conflicts with a #define in "../../../src/sanity.hh"
+// Workaround: Include BOOST header before monotone headers
+#include <boost/random.hpp>
 #include "../../../src/base.hh"
 #include "../unit_tests.hh"
 #include "../../../src/xdelta.hh"
 
 #include "../../../src/adler32.hh"
-#include <boost/random.hpp>
 
 boost::mt19937 xdelta_prng;
 boost::uniform_smallint<char> xdelta_chargen('a', 'z');
